[project]
name = "multiplayer-crosswords"
version = "0.1.0"
description = ""
authors = [
    {name="Jonas Weinz"}
]
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "numpy (>=2.2.6,<3.0.0)",
    "pandas (>=2.2.3,<3.0.0)",
    "numba (>=0.61.2,<1.0.0)",
    "bitarray (>=3.4.2,<4.0.0)",
    "websockets (>=15.0.1, <16.0.0)",
    "pydantic (>=2.12.4,<3.0.0)"
]
[tool.poetry]
name = "multiplayer-crosswords"
version = "0.1.0"
description = ""
authors = [
    "Jonas Weinz"
]
readme = "README.md"


[tool.poetry.dev-dependencies]
pytest = "^7.0"

[tool.poetry.group.dev.dependencies]
jupyterlab = "^4.4.3"

[build-system]
requires = ["poetry-core>=2.0.0,<3.0.0"]
build-backend = "poetry.core.masonry.api"
